name: flutter_gallery

environment:
  sdk: ^3.7.0-0

resolution: workspace

dependencies:
  flutter:
    sdk: flutter
  collection: any
  intl: any
  string_scanner: any
  url_launcher: any
  cupertino_icons: any
  video_player: any
  scoped_model: any

  # Also update dev/benchmarks/complex_layout/pubspec.yaml
  # and dev/benchmarks/macrobenchmarks/pubspec.yaml
  flutter_gallery_assets: any

  path: any
  vector_math: any

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_driver:
    sdk: flutter
  flutter_goldens:
    sdk: flutter
  test: any
  integration_test:
    sdk: flutter

  file: any

flutter:
  uses-material-design: true
  assets:
    - lib/gallery/example_code.dart
    - packages/flutter_gallery_assets/people/ali_landscape.png
    - packages/flutter_gallery_assets/monochrome/red-square-1024x1024.png
    - packages/flutter_gallery_assets/logos/flutter_white/logo.png
    - packages/flutter_gallery_assets/logos/fortnightly/fortnightly_logo.png
    - packages/flutter_gallery_assets/videos/bee.mp4
    - packages/flutter_gallery_assets/videos/butterfly.mp4
    - packages/flutter_gallery_assets/animated_images/animated_flutter_lgtm.gif
    - packages/flutter_gallery_assets/animated_images/animated_flutter_stickers.webp
    - packages/flutter_gallery_assets/food/butternut_squash_soup.png
    - packages/flutter_gallery_assets/food/cherry_pie.png
    - packages/flutter_gallery_assets/food/chopped_beet_leaves.png
    - packages/flutter_gallery_assets/food/fruits.png
    - packages/flutter_gallery_assets/food/pesto_pasta.png
    - packages/flutter_gallery_assets/food/roasted_chicken.png
    - packages/flutter_gallery_assets/food/spanakopita.png
    - packages/flutter_gallery_assets/food/spinach_onion_salad.png
    - packages/flutter_gallery_assets/food/icons/fish.png
    - packages/flutter_gallery_assets/food/icons/healthy.png
    - packages/flutter_gallery_assets/food/icons/main.png
    - packages/flutter_gallery_assets/food/icons/meat.png
    - packages/flutter_gallery_assets/food/icons/quick.png
    - packages/flutter_gallery_assets/food/icons/spicy.png
    - packages/flutter_gallery_assets/food/icons/veggie.png
    - packages/flutter_gallery_assets/logos/pesto/logo_small.png
    - packages/flutter_gallery_assets/places/india_chennai_flower_market.png
    - packages/flutter_gallery_assets/places/india_thanjavur_market.png
    - packages/flutter_gallery_assets/places/india_tanjore_bronze_works.png
    - packages/flutter_gallery_assets/places/india_tanjore_market_merchant.png
    - packages/flutter_gallery_assets/places/india_tanjore_thanjavur_temple.png
    - packages/flutter_gallery_assets/places/india_pondicherry_salt_farm.png
    - packages/flutter_gallery_assets/places/india_chennai_highway.png
    - packages/flutter_gallery_assets/places/india_chettinad_silk_maker.png
    - packages/flutter_gallery_assets/places/india_tanjore_thanjavur_temple_carvings.png
    - packages/flutter_gallery_assets/places/india_chettinad_produce.png
    - packages/flutter_gallery_assets/places/india_tanjore_market_technology.png
    - packages/flutter_gallery_assets/places/india_pondicherry_beach.png
    - packages/flutter_gallery_assets/places/india_pondicherry_fisherman.png
    - packages/flutter_gallery_assets/products/backpack.png
    - packages/flutter_gallery_assets/products/belt.png
    - packages/flutter_gallery_assets/products/cup.png
    - packages/flutter_gallery_assets/products/deskset.png
    - packages/flutter_gallery_assets/products/dress.png
    - packages/flutter_gallery_assets/products/earrings.png
    - packages/flutter_gallery_assets/products/flatwear.png
    - packages/flutter_gallery_assets/products/hat.png
    - packages/flutter_gallery_assets/products/jacket.png
    - packages/flutter_gallery_assets/products/jumper.png
    - packages/flutter_gallery_assets/products/kitchen_quattro.png
    - packages/flutter_gallery_assets/products/napkins.png
    - packages/flutter_gallery_assets/products/planters.png
    - packages/flutter_gallery_assets/products/platter.png
    - packages/flutter_gallery_assets/products/scarf.png
    - packages/flutter_gallery_assets/products/shirt.png
    - packages/flutter_gallery_assets/products/sunnies.png
    - packages/flutter_gallery_assets/products/sweater.png
    - packages/flutter_gallery_assets/products/sweats.png
    - packages/flutter_gallery_assets/products/table.png
    - packages/flutter_gallery_assets/products/teaset.png
    - packages/flutter_gallery_assets/products/top.png
    - packages/flutter_gallery_assets/people/square/ali.png
    - packages/flutter_gallery_assets/people/square/peter.png
    - packages/flutter_gallery_assets/people/square/sandra.png
    - packages/flutter_gallery_assets/people/square/stella.png
    - packages/flutter_gallery_assets/people/square/trevor.png
    - packages/shrine_images/diamond.png
    - packages/shrine_images/slanted_menu.png
    - packages/shrine_images/0-0.jpg
    - packages/shrine_images/1-0.jpg
    - packages/shrine_images/2-0.jpg
    - packages/shrine_images/3-0.jpg
    - packages/shrine_images/4-0.jpg
    - packages/shrine_images/5-0.jpg
    - packages/shrine_images/6-0.jpg
    - packages/shrine_images/7-0.jpg
    - packages/shrine_images/8-0.jpg
    - packages/shrine_images/9-0.jpg
    - packages/shrine_images/10-0.jpg
    - packages/shrine_images/11-0.jpg
    - packages/shrine_images/12-0.jpg
    - packages/shrine_images/13-0.jpg
    - packages/shrine_images/14-0.jpg
    - packages/shrine_images/15-0.jpg
    - packages/shrine_images/16-0.jpg
    - packages/shrine_images/17-0.jpg
    - packages/shrine_images/18-0.jpg
    - packages/shrine_images/19-0.jpg
    - packages/shrine_images/20-0.jpg
    - packages/shrine_images/21-0.jpg
    - packages/shrine_images/22-0.jpg
    - packages/shrine_images/23-0.jpg
    - packages/shrine_images/24-0.jpg
    - packages/shrine_images/25-0.jpg
    - packages/shrine_images/26-0.jpg
    - packages/shrine_images/27-0.jpg
    - packages/shrine_images/28-0.jpg
    - packages/shrine_images/29-0.jpg
    - packages/shrine_images/30-0.jpg
    - packages/shrine_images/31-0.jpg
    - packages/shrine_images/32-0.jpg
    - packages/shrine_images/33-0.jpg
    - packages/shrine_images/34-0.jpg
    - packages/shrine_images/35-0.jpg
    - packages/shrine_images/36-0.jpg
    - packages/shrine_images/37-0.jpg

  fonts:
    - family: Raleway
      fonts:
        - asset: packages/flutter_gallery_assets/fonts/raleway/Raleway-Regular.ttf
        - asset: packages/flutter_gallery_assets/fonts/raleway/Raleway-Medium.ttf
          weight: 500
        - asset: packages/flutter_gallery_assets/fonts/raleway/Raleway-SemiBold.ttf
          weight: 600
    - family: AbrilFatface
      fonts:
        - asset: packages/flutter_gallery_assets/fonts/abrilfatface/AbrilFatface-Regular.ttf
    - family: GalleryIcons
      fonts:
        - asset: packages/flutter_gallery_assets/fonts/private/gallery_icons/GalleryIcons.ttf
    - family: GoogleSans
      fonts:
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-Bold.ttf
          weight: 700
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-Italic.ttf
          weight: 400
          style: italic
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-Medium.ttf
          weight: 500
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSans-Regular.ttf
          weight: 400
    - family: GoogleSansDisplay
      fonts:
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-Bold.ttf
          weight: 700
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-Italic.ttf
          weight: 400
          style: italic
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-MediumItalic.ttf
          style: italic
          weight: 500
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-Medium.ttf
          weight: 500
        - asset: packages/flutter_gallery_assets/fonts/private/googlesans/GoogleSansDisplay-Regular.ttf
          weight: 400
    - family: LibreFranklin
      fonts:
      - asset: packages/flutter_gallery_assets/fonts/librefranklin/LibreFranklin-Bold.ttf
      - asset: packages/flutter_gallery_assets/fonts/librefranklin/LibreFranklin-Light.ttf
      - asset: packages/flutter_gallery_assets/fonts/librefranklin/LibreFranklin-Medium.ttf
      - asset: packages/flutter_gallery_assets/fonts/librefranklin/LibreFranklin-Regular.ttf
    - family: Merriweather
      fonts:
      - asset: packages/flutter_gallery_assets/fonts/merriweather/Merriweather-BlackItalic.ttf
      - asset: packages/flutter_gallery_assets/fonts/merriweather/Merriweather-Italic.ttf
      - asset: packages/flutter_gallery_assets/fonts/merriweather/Merriweather-Regular.ttf
      - asset: packages/flutter_gallery_assets/fonts/merriweather/Merriweather-Light.ttf

# PUBSPEC CHECKSUM: cs2d7l
